/********************************************************************
 * FILE: metameme.h
 * AUTHOR: William Stafford Noble
 * CREATE DATE: 05-19-98
 * PROJECT: MHMM
 * COPYRIGHT: 2001-2008, WSN
 * DESCRIPTION: Global functions for the Meta-MEME toolkit.
 ********************************************************************/
#ifndef METAMEME_H
#define METAMEME_H

#include <stdio.h>
#include "config.h"
#include "projrel.h"

/* Enumerated type for specifying the current program. */
typedef enum {INVALID_HEADER, MHMM_HEADER, MHMMS_HEADER, MHMMSCAN_HEADER,
	      MHMMA_HEADER, MHMMT_HEADER, MHMMF_HEADER} HEADER_T;

/*************************************************************************
 * Print the program header, including help info, if necessary.
 *************************************************************************/
void write_header
  (HEADER_T program,    // Which program called this function?
   char*    description, // Text description.
   char*    meme_file,  // Motif filename.
   char*    model_file, // HMM filename.
   char*    seq_file,   // Name of the input sequence file.
   FILE*    outfile);   // Stream to write to.

#endif
